Subject: Re: [I2nsf] What does "not subscribe to the basic tenet of 'reference not replicate'" mean? FW: Request for Comments, Interest and Support in I2NSF Re-Chartering

From: "Mr. Jaehoon Paul Jeong" <[email-masked]>
Date: Fri, 1 Apr 2022 20:05:24 +0900

Hi Tom,
I see your point.
A common YANG module approach can be done
after the set of the current five I2NSF YANG I-Ds
are published as RFCs and they are augmented to
accommodate new protocols such as QUIC and HTTP/3.

Linda,
Could you submit the I-Ds of Consumer-Facing Interface and Registration
Interface to the IESG?

We will be able to accommodate Tom's common YANG module approach in the 2nd
phase of our I2NSF WG.

Thanks.

Best Regards,
Paul

2022년 4월 1일 (금) 오후 7:46, t petch <[email-masked]>님이 작성:

> On 30/03/2022 10:47, Mr. Jaehoon Paul Jeong wrote:
> > Hi Linda and Tom,
> > I think we can handle the replication problem that may cause the
> > inconsistent description of each identity
> > that is used by Capability, NSF-Facing Interface, and Consumer-Facing
> > Interface YANG data models by
> > referencing the Capability data model as the base of I2NSF's data models
> as
> > follows.
> > -----------------------------------------------------------
> > Capability data model:
> >
> >    identity reject {
> >      base ingress-action;
> >      base egress-action;
> >      base default-action;
> >      description
> >        "The reject action denies a packet to go through the NSF
> >         entering or exiting the internal network and sends a response
> >         back to the source. The response depends on the packet and
> >         implementation. For example, a TCP packet is rejected with
> >         TCP RST response or a UDP packet may be rejected with an
> >         ICMPv4 response message with Type 3 Code 3 or ICMPv6 response
> >         message Type 1 Code 4 (i.e., Destination Unreachable:
> >         Destination port unreachable).";
> >    }
> > ===
> >
> > Consumer-Facing Interface data model:
> >
> >    identity reject {
> >      base ingress-action;
> >      base egress-action;
> >      base default-action;
> >      description
> >        "The reject action.";
> >      reference
> >        "draft-ietf-i2nsf-capability-data-model-29:
> >         I2NSF Capability YANG Data Model - Reject Action";
> >    }
> > -----------------------------------------------------------
> >
> > Tom,
> > Is this approach good for you?
>
> Well, it is a step forward, in the right direction, but I see it only as
> an interim solution, that in the longer term those action identity,
> along with some other identity, belong in a common YANG module with
> supporting text in a separate I-D for other I-D to import from but that
> that approach is not something to undertake for the current set of I-D.
>
> Tom Petch
>
> > If so, I will update the Consumer-Facing Interface YANG Data Model Draft
> > accordingly.
> >
> > Thanks.
> >
> > Best Regards,
> > Paul
> >
> >
> >
> > On Wed, Mar 30, 2022 at 7:52 AM Linda Dunbar <[email-masked]
> >
> > wrote:
> >
> >> Paul,
> >>
> >> Do you understand what Tom Petch mean by saying "*they do not subscribe
> >> to the basic tenet of 'reference not replicate'*"?
> >>
> >> *"**Those that have worked on the current five I2NSF I-D will know that
> >> they do not subscribe to the basic tenet of 'reference not replicate'
> and
> >> in doing so have created many issues of lack of coherence (some of which
> >> have been resolved, some of which may never be resolved) and have
> created
> >> much additional work.  In a sense, the current work is built on
> foundations
> >> of sand, which may or may not support ongoing work.**"*
> >> Linda
> >>
> >> -----Original Message-----
> >> From: I2nsf <[email-masked]> On Behalf Of t petch
> >> Sent: Friday, March 25, 2022 4:05 AM
> >> To: Mr. Jaehoon Paul Jeong <[email-masked]>; [email-masked]
> >> Cc: Roman Danyliw <[email-masked]>; Panwei (William) <
> >> [email-masked]>; Henk Birkholz <
> [email-masked]>;
> >> tom petch <[email-masked]>; DIEGO LOPEZ GARCIA <
> >> [email-masked]>; Susan Hares <[email-masked]>;
> yangpenglin
> >> <[email-masked]>
> >> Subject: Re: [I2nsf] Request for Comments, Interest and Support in I2NSF
> >> Re-Chartering
> >>
> >> On 24/03/2022 07:38, Mr. Jaehoon Paul Jeong wrote:
> >>> Hi I2NSF WG,
> >>> As you know, our I2NSF WG will discuss the I2NSF Re-Chartering at
> >>> IETF-113 I2NSF WG Session today.
> >>>
> >>> I attach the text of the re-chartering as pdf and txt files.
> >>
> >> Those that have worked on the current five I2NSF I-D will know that they
> >> do not subscribe to the basic tenet of 'reference not replicate' and in
> >> doing so have created many issues of lack of coherence (some of which
> have
> >> been resolved, some of which may never be resolved) and have created
> much
> >> additional work.  In a sense, the current work is built on foundations
> of
> >> sand, which may or may not support ongoing work.
> >>
> >> What is needed, and for me it is the overwhelming priority, before any
> new
> >> models are crafted, is a 'common' I-D to reduce or eliminate this
> >> replication even if it cannot be applied immediately to those five I-D.
> >>    The current charter hints at the need for this in its bullets and in
> its
> >> list of deliverables.  The terminology draft might have done this but
> has
> >> gone in a slightly different direction.  Common YANG capability
> statements
> >> are an obvious example but even a common base of plain text would make
> the
> >> work simpler, less error-prone.
> >>
> >> Tom Petch
> >>
> >>> Our five core I2NSF YANG data model drafts are almost completed.
> >>> ----------------------------------------------------------------------
> >>> --------------
> >>> 1. Capability YANG Data Model
> >>> https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Fdata
> >>> tracker.ietf.org%2Fdoc%2Fhtml%2Fdraft-ietf-i2nsf-capability-data-model
> >>> -27&amp;data=04%7C01%7Clinda.dunbar%40futurewei.com%7C490b159a226e4cfe
> >>> be5e08da0e3e8767%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C63783795
> >>> 8982599469%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzI
> >>> iLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C3000&amp;sdata=7JKp05IGAWKY7uZUbxIzk
> >>> jTT%2FzUGSglV5hKf8YPYXlg%3D&amp;reserved=0
> >>>
> >>> 2. NSF-Facing Interface YANG Data Model
> >>> https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Fdata
> >>> tracker.ietf.org%2Fdoc%2Fhtml%2Fdraft-ietf-i2nsf-nsf-facing-interface-
> >>> dm-22&amp;data=04%7C01%7Clinda.dunbar%40futurewei.com%7C490b159a226e4c
> >>> febe5e08da0e3e8767%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C637837
> >>> 958982599469%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luM
> >>> zIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C3000&amp;sdata=UepSSOFSSKCz1H6QIDE
> >>> 9BL8Q2uoKJCpjb7nJPyn6rcE%3D&amp;reserved=0
> >>>
> >>> 3. Monitoring Interface YANG Data Model
> >>> https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Fdata
> >>> tracker.ietf.org%2Fdoc%2Fhtml%2Fdraft-ietf-i2nsf-nsf-monitoring-data-m
> >>> odel-16&amp;data=04%7C01%7Clinda.dunbar%40futurewei.com%7C490b159a226e
> >>> 4cfebe5e08da0e3e8767%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C6378
> >>> 37958982599469%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2l
> >>> uMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C3000&amp;sdata=cmaUuyFqNMHoxmIQg
> >>> p4RVsa6wQPvJDkr1WPi1mkYn38%3D&amp;reserved=0
> >>>
> >>> 4. Consumer-Facing Interface YANG Data Model
> >>> https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Fdata
> >>> tracker.ietf.org%2Fdoc%2Fhtml%2Fdraft-ietf-i2nsf-consumer-facing-inter
> >>> face-dm-17&amp;data=04%7C01%7Clinda.dunbar%40futurewei.com%7C490b159a2
> >>> 26e4cfebe5e08da0e3e8767%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C6
> >>> 37837958982599469%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoi
> >>> V2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C3000&amp;sdata=XkT1KT3%2Fe661
> >>> 02Y0udmGaPTBvswJ%2BkKZFG5B86paZaI%3D&amp;reserved=0
> >>>
> >>> 5. Registration Interface YANG Data Model
> >>> https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Fdata
> >>> tracker.ietf.org%2Fdoc%2Fhtml%2Fdraft-ietf-i2nsf-registration-interfac
> >>> e-dm-15&amp;data=04%7C01%7Clinda.dunbar%40futurewei.com%7C490b159a226e
> >>> 4cfebe5e08da0e3e8767%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C6378
> >>> 37958982599469%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2l
> >>> uMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C3000&amp;sdata=ZERwHxnh7Ni7UuniO
> >>> yk68uwIJNcspqomZzFDMRc4X%2BI%3D&amp;reserved=0
> >>> ----------------------------------------------------------------------
> >>> --------------
> >>>
> >>> The three of them (i.e., 1, 2, and 3) got the feedback of the IESG and
> >>> the revisions have been sent to the IESG reviewers.
> >>>
> >>> The remaining two (i.e., 4, 5) are well-synchronized with the others.
> >>> I will present the updates of them today's I2NSF WG.
> >>> I attach the slides for them for your easy checking.
> >>>
> >>> Our AD Roman has concerns about the low energy of our I2NSF WG for the
> >>> new work items in the I2NSF Re-chartering.
> >>>
> >>> Could you speak up your voice about your comments, interest, and
> >>> support of our I2NSF Re-Chartering?
> >>>
> >>> See you online at IETF-113 I2NSF WG Session today.
> >>>
> >>> Thanks.
> >>>
> >>> Best Regards,
> >>> Paul
> >>>
> >>>
> >>>
> >>> _______________________________________________
> >>> I2nsf mailing list
> >>> [email-masked]
> >>> https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.
> >>> ietf.org%2Fmailman%2Flistinfo%2Fi2nsf&amp;data=04%7C01%7Clinda.dunbar%
> >>> 40futurewei.com%7C490b159a226e4cfebe5e08da0e3e8767%7C0fee8ff2a3b240189
> >>> c753a1d5591fedc%7C1%7C0%7C637837958982599469%7CUnknown%7CTWFpbGZsb3d8e
> >>> yJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C30
> >>> 00&amp;sdata=XidKtDpjbcqwidDZOp1eG54s1TsCN0nwrelkN07E8qk%3D&amp;reserv
> >>> ed=0
> >>>
> >>
> >> _______________________________________________
> >> I2nsf mailing list
> >> [email-masked]
> >>
> >>
> https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.ietf.org%2Fmailman%2Flistinfo%2Fi2nsf&amp;data=04%7C01%7Clinda.dunbar%40futurewei.com%7C490b159a226e4cfebe5e08da0e3e8767%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C637837958982599469%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C3000&amp;sdata=XidKtDpjbcqwidDZOp1eG54s1TsCN0nwrelkN07E8qk%3D&amp;reserved=0
> >>
> >>
> >
>
-- 
===========================
Mr. Jaehoon (Paul) Jeong, Ph.D.
Associate Professor
Department Head
Department of Computer Science and Engineering
Sungkyunkwan University
Office: +82-31-299-4957
Email: [email-masked], [email-masked]
Personal Homepage: http://iotlab.skku.edu/people-jaehoon-jeong.php
<http://cpslab.skku.edu/people-jaehoon-jeong.php>